Mail archive
alpine-aports

[alpine-aports] [PATCH] main/twisted: new upstream version 15.4

From: Christian Kampka <christian_at_kampka.net>
Date: Mon, 2 Nov 2015 15:18:54 +0100

As of version 15.3 the twisted team will no longer release
twisted subproject independently. There is no real upside for
alpine to support twisted in the form of subpackages.
Therefore, the twisted subprojects will be dropped from aports
in favor of a single twisted package.
---
 main/py-twisted-mail/APKBUILD  | 38 --------------------------------------
 main/py-twisted-names/APKBUILD | 28 ----------------------------
 main/py-twisted-web/APKBUILD   | 28 ----------------------------
 main/py-twisted-web2/APKBUILD  | 21 ---------------------
 main/py-twisted-words/APKBUILD | 28 ----------------------------
 main/py-twisted/APKBUILD       | 15 ++++++++-------
 testing/buildbot/APKBUILD      |  2 +-
 7 files changed, 9 insertions(+), 151 deletions(-)
 delete mode 100644 main/py-twisted-mail/APKBUILD
 delete mode 100644 main/py-twisted-names/APKBUILD
 delete mode 100644 main/py-twisted-web/APKBUILD
 delete mode 100644 main/py-twisted-web2/APKBUILD
 delete mode 100644 main/py-twisted-words/APKBUILD
diff --git a/main/py-twisted-mail/APKBUILD b/main/py-twisted-mail/APKBUILD
deleted file mode 100644
index 8605ee1..0000000
--- a/main/py-twisted-mail/APKBUILD
+++ /dev/null
_at_@ -1,38 +0,0 @@
-# Contributor: Jeff Bilyk <jbilyk_at_alpinelinux.org>
-# Maintainer:
-pkgname=py-twisted-mail
-_pkgname=TwistedMail
-pkgver=15.1.0
-pkgrel=0
-pkgdesc="Python Twisted Mail library"
-url="http://twistedmatrix.com/trac/wiki/TwistedMail"
-arch="noarch"
-license="MIT"
-depends="py-twisted"
-makedepends="python-dev"
-source="http://twistedmatrix.com/Releases/Mail/${pkgver%.*}/$_pkgname-$pkgver.tar.bz2"
-
-_builddir="$srcdir"/$_pkgname-$pkgver
-prepare() {
-	local i
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
-}
-
-build() {
-	cd "$_builddir"
-	python setup.py build || return 1
-}
-
-package() {
-	cd "$_builddir"
-	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
-}
-
-md5sums="3ab3b9e3ac935ae55c5db37acde62c02  TwistedMail-15.1.0.tar.bz2"
-sha256sums="fa83f1afc4c2f53321fc2911b64dc923755c0dd8f8f53cee1bbdecb6bcee6474  TwistedMail-15.1.0.tar.bz2"
-sha512sums="2b5453e83185fa51222e26abf59a743c8cdc872f556c28135a7d7a717cf438f5a9d3ca6085ad4b35ae64509e49130812c3dba4cbe65aacdb738fc903492a1a15  TwistedMail-15.1.0.tar.bz2"
diff --git a/main/py-twisted-names/APKBUILD b/main/py-twisted-names/APKBUILD
deleted file mode 100644
index 8ea764d..0000000
--- a/main/py-twisted-names/APKBUILD
+++ /dev/null
_at_@ -1,28 +0,0 @@
-# Contributor: Jeff Bilyk <jbilyk_at_alpinelinux.org>
-# Maintainer:
-pkgname=py-twisted-names
-_pkgname=TwistedNames
-pkgver=15.1.0
-pkgrel=0
-pkgdesc="Python Twisted Names DNS server and resolver library"
-url="http://twistedmatrix.com/trac/wiki/TwistedNames"
-arch="noarch"
-license="MIT"
-depends="py-twisted"
-makedepends="python-dev"
-source="http://twistedmatrix.com/Releases/Names/${pkgver%.*}/$_pkgname-$pkgver.tar.bz2"
-
-_builddir="$srcdir"/$_pkgname-$pkgver
-build() {
-	cd "$_builddir"
-	python setup.py build || return 1
-}
-
-package() {
-	cd "$_builddir"
-	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
-}
-
-md5sums="da57281cfa602fdeb99cf011de54e186  TwistedNames-15.1.0.tar.bz2"
-sha256sums="998821c69b8f950264985bcb296340023602d81899a8e3345b055fb05e1f9b28  TwistedNames-15.1.0.tar.bz2"
-sha512sums="c03141bce0eb26de927d537a896b72823b8dbabde946a3dffd68331c6bb63deab4e7260e07540eb980d31a190c7d5b8224b46dc2e908e8b1aa8c6f869acf745a  TwistedNames-15.1.0.tar.bz2"
diff --git a/main/py-twisted-web/APKBUILD b/main/py-twisted-web/APKBUILD
deleted file mode 100644
index a898885..0000000
--- a/main/py-twisted-web/APKBUILD
+++ /dev/null
_at_@ -1,28 +0,0 @@
-# Contributor: Jeff Bilyk <jbilyk_at_alpinelinux.org>
-# Maintainer: Fabian Affolter <fabian_at_affolter-engineering.ch>
-pkgname=py-twisted-web
-_pkgname=TwistedWeb
-pkgver=15.1.0
-pkgrel=0
-pkgdesc="Python Twisted Web library"
-url="http://twistedmatrix.com/trac/wiki/TwistedWeb"
-arch="noarch"
-license="MIT"
-depends="py-twisted"
-makedepends="python-dev"
-source="http://twistedmatrix.com/Releases/Web/${pkgver%.*}/$_pkgname-$pkgver.tar.bz2"
-
-_builddir="$srcdir"/$_pkgname-$pkgver
-build() {
-	cd "$_builddir"
-	python setup.py build || return 1
-}
-
-package() {
-	cd "$_builddir"
-	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
-}
-
-md5sums="49ef88f2e9f16741911a0894dfa8bc28  TwistedWeb-15.1.0.tar.bz2"
-sha256sums="ef55ca0c425f3eed8080003cab080365d7dde038c6554581b4a06aab5a3285ce  TwistedWeb-15.1.0.tar.bz2"
-sha512sums="3eccfafa1110b4fa85892fb3c8b0a37514c33c51f1edc6ac41c257dd198fa2f113e82b884dc6af3fa4dc1aefc69e8e6cc3ab1fc19a569c125e608a829c229748  TwistedWeb-15.1.0.tar.bz2"
diff --git a/main/py-twisted-web2/APKBUILD b/main/py-twisted-web2/APKBUILD
deleted file mode 100644
index dc80dcc..0000000
--- a/main/py-twisted-web2/APKBUILD
+++ /dev/null
_at_@ -1,21 +0,0 @@
-# Contributor: Francesco Colista <francesco.colista_at_gmail.com>
-# Maintainer: Francesco Colista <francesco.colista_at_gmail.com>
-
-pkgname=py-twisted-web2
-pkgver=8.1.0
-pkgrel=1
-pkgdesc="The twisted.web2 package in Twisted."
-url="http://twistedmatrix.com/"
-arch="all"
-license="GPL"
-depends="py-twisted"
-makedepends="python-dev"
-source="http://tmrc.mit.edu/mirror/twisted/Web2/8.1/TwistedWeb2-$pkgver.tar.bz2"
-
-build() {
-    cd "$srcdir"/TwistedWeb2-8.1.0/
-        python setup.py install --prefix=/usr --root="$pkgdir" || return 1
-}
-
-
-md5sums="e34b48edf6fef075bd41ddbd215aed32  TwistedWeb2-8.1.0.tar.bz2"
diff --git a/main/py-twisted-words/APKBUILD b/main/py-twisted-words/APKBUILD
deleted file mode 100644
index dbb18de..0000000
--- a/main/py-twisted-words/APKBUILD
+++ /dev/null
_at_@ -1,28 +0,0 @@
-# Contributor: Jeff Bilyk <jbilyk_at_alpinelinux.org>
-# Maintainer:
-pkgname=py-twisted-words
-_pkgname=TwistedWords
-pkgver=15.1.0
-pkgrel=0
-pkgdesc="Python Twisted Words library"
-url="http://twistedmatrix.com/trac/wiki/TwistedWords"
-arch="noarch"
-license="MIT"
-depends="py-twisted"
-makedepends="python-dev"
-source="http://twistedmatrix.com/Releases/Words/${pkgver%.*}/$_pkgname-$pkgver.tar.bz2"
-
-_builddir="$srcdir"/$_pkgname-$pkgver
-build() {
-	cd "$_builddir"
-	python setup.py build || return 1
-}
-
-package() {
-	cd "$_builddir"
-	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
-}
-
-md5sums="297fc1562778b4d258c750645b90bd03  TwistedWords-15.1.0.tar.bz2"
-sha256sums="94863962e5dc339217c2c6dbeb081d78e8976a20bd588f287a23974bf58c1adc  TwistedWords-15.1.0.tar.bz2"
-sha512sums="1b711fea9aabc0d9f3e73e811cabbde41f1e5bdf4573dbe5fcbedb7da480aabe0ed23e006433ad3c425db39277c58804ef408c5d31d2b3e7c2c5564a9a631857  TwistedWords-15.1.0.tar.bz2"
diff --git a/main/py-twisted/APKBUILD b/main/py-twisted/APKBUILD
index d9de99c..a778522 100644
--- a/main/py-twisted/APKBUILD
+++ b/main/py-twisted/APKBUILD
_at_@ -1,35 +1,36 @@
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=py-twisted
 _pkgname=Twisted
-pkgver=15.1.0
+pkgver=15.4.0
 pkgrel=0
 pkgdesc="Asynchronous networking framework written in Python."
 url="http://twistedmatrix.com/"
 arch="all"
 license="MIT"
 depends="py-crypto py-zope-interface"
-makedepends="python-dev"
+makedepends="python-dev py-setuptools libtirpc-dev"
 install=""
 subpackages="$pkgname-doc"
 source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.bz2"
 
 _builddir="$srcdir"/"$_pkgname"-$pkgver
+
 build() {
 	cd "$_builddir"
-	python setup.py build || return 1
+	CFLAGS="$CFLAGS `pkgconf --cflags libtirpc`" python setup.py build || return 1
 }
 
 package() {
 	cd "$_builddir"
 	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
 	install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
-	_mans="manhole.1 pyhtmlizer.1 tap2deb.1 tap2rpm.1 tapconvert.1 trial.1 twistd.1"
+	_mans="manhole.1 pyhtmlizer.1 tap2deb.1 tap2rpm.1 trial.1 twistd.1"
 	for _man in $_mans; do
 		install -m644 -D "$_builddir"/doc/core/man/$_man \
 			"$pkgdir"/usr/share/man/man1/$_man  || return 1
 	done
 }
 
-md5sums="df65e3da0bee81140e7637156802a518  Twisted-15.1.0.tar.bz2"
-sha256sums="82025d24cee178a7328a0467240bb6b1e7c283a9d85f115a9872dfcbfe20732a  Twisted-15.1.0.tar.bz2"
-sha512sums="f7a755c7957d85c688db1076409ed1dd61967cf399253961caf584ab5b923d830fe995870bf7da1c9cbd304d98f0dc0a97c91ba92dc41301f652b360e5c5820f  Twisted-15.1.0.tar.bz2"
+md5sums="5337ffb6aeeff3790981a2cd56db9655  Twisted-15.4.0.tar.bz2"
+sha256sums="78862662fa9ae29654bc2b9d349c3f1d887e6b2ed978512c4442d53ea861f05c  Twisted-15.4.0.tar.bz2"
+sha512sums="df9f7121972e10ba73bf8c317514e0e19e0e1082c1c0388a6c1cf126bfd5bbbd91c21a02768983082120b0e50f6f599ebd5ad48e1c4a9cf75bf6bd2b685806e3  Twisted-15.4.0.tar.bz2"
diff --git a/testing/buildbot/APKBUILD b/testing/buildbot/APKBUILD
index a01b297..89a4b8c 100644
--- a/testing/buildbot/APKBUILD
+++ b/testing/buildbot/APKBUILD
_at_@ -7,7 +7,7 @@ pkgdesc="Continuous integration testing framework"
 url="http://buildbot.net/"
 arch="noarch"
 license="GPLv2"
-depends="python py-twisted py-twisted-mail py-twisted-web py-twisted-words
+depends="python py-twisted
 	py-simplejson py-sqlalchemy7 py-pysqlite py-jinja2 py-sqlalchemy-migrate
 	py-dateutil py-setuptools"
 depends_dev=""
-- 
2.6.2
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Nov 02 2015 - 15:18:54 GMT